🌟

The Yarn Plug'n'Play manifestエラーの解決方法

2022/12/20に公開約700字

Storybookが7.0.0-beta.4まで動作していましたが、7.0.0-beta.5以降は下記のエラーメッセージが出て動作しなくなりました、その時の解決法をメモします

The Yarn Plug'n'Play manifest forbids importing "XXXX" here because it's not
   listed as a dependency of this package:
The Yarn Plug'n'Play manifest forbids importing "XXXX" here because it's not
   listed as a dependency of this package:
 The Yarn Plug'n'Play manifest forbids importing "XXX" here because it's not
  listed as a dependency of this package:
    ../../../.pnp.cjs:43:33:
      43 │           "packageDependencies": [\
...

解決法

現在のディレクトリ、もしくはその親ディレクトリにYarn関係のファイルを探して削除します
自分の場合はエラーメッセージ通り、ホールフォルダ直下に.pnp.cjsがあったのが原因でした

所感

Yarnはdependabotの設定が面倒なのと、V3で色々問題に沼ったりしたので、
削除してnpmに回帰していたのですが、こんなことでつまづくと思いませんでした

もしパッケージ管理ツールで速さを求めるなら、Ultraおすすめなので試してみてください
https://ultrapkg.dev/

Discussion

ログインするとコメントできます